Eclipse Draw2d 3.3

## org.eclipse.draw2d.geometry
Class PrecisionPoint

    java.lang.Object
      org.eclipse.draw2d.geometry.Point
          org.eclipse.draw2d.geometry.PrecisionPoint

All Implemented Interfaces:
  Serializable, Cloneable, Translatable

    public class PrecisionPoint

extends Point

See Also:
  Serialized Form

Field Summary
`double` `preciseX` Double value for X
`double` `preciseY` Double value for Y

Fields inherited from class org.eclipse.draw2d.geometry.Point
`SINGLETON, x, y`

Constructor Summary
`PrecisionPoint()` Constructor for PrecisionPoint.
`PrecisionPoint(double x, double y)` Constructor for PrecisionPoint.
`PrecisionPoint(int x, int y)` Constructor for PrecisionPoint.
`PrecisionPoint(Point copy)` Constructor for PrecisionPoint.

Method Summary
`boolean` `equals(Object o)` Test for equality.
`Point` `getCopy()`
`void` `performScale(double factor)` Scales this object by the scale factor.
`void` `performTranslate(int dx, int dy)` Translates this object horizontally by `dx` and vertically by `dy`.
`double` `preciseX()` Returns `double` x coordinate
`double` `preciseY()` Returns `double` y coordinate
`Point` `setLocation(Point pt)` Sets the location of this Point to the specified Point.
`void` `updateInts()` Updates the integer fields using the precise versions.

Methods inherited from class org.eclipse.draw2d.geometry.Point
`getDifference, getDistance, getDistance2, getDistanceOrthogonal, getNegated, getPosition, getScaled, getSWTPoint, getTranslated, getTranslated, getTranslated, getTransposed, hashCode, max, min, negate, scale, scale, setLocation, toString, translate, translate, translate, transpose`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### preciseX

    public double preciseX

  Double value for X

### preciseY

    public double preciseY

  Double value for Y

Constructor Detail

### PrecisionPoint

    public PrecisionPoint()

  Constructor for PrecisionPoint.

### PrecisionPoint

    public PrecisionPoint(Point copy)

  Constructor for PrecisionPoint.

  Parameters:
    `copy` - Point from which the initial values are taken

### PrecisionPoint

    public PrecisionPoint(int x,
                          int y)

  Constructor for PrecisionPoint.

  Parameters:
    `x` - X value
    `y` - Y value

### PrecisionPoint

    public PrecisionPoint(double x,
                          double y)

  Constructor for PrecisionPoint.

  Parameters:
    `x` - X value
    `y` - Y value

Method Detail

### getCopy

    public Point getCopy()

  Overrides:
    `getCopy` in class `Point`
  Returns:
    a copy of this Point
  See Also:
    `Point.getCopy()`

### performScale

    public void performScale(double factor)

  Description copied from interface: `Translatable`
  Scales this object by the scale factor.

  Specified by:
    `performScale` in interface `Translatable`
  Overrides:
    `performScale` in class `Point`
  Parameters:
    `factor` - The scale factor
  See Also:
    `Point.performScale(double)`

### performTranslate

    public void performTranslate(int dx,
                                 int dy)

  Description copied from interface: `Translatable`
  Translates this object horizontally by `dx` and vertically by `dy`.

  Specified by:
    `performTranslate` in interface `Translatable`
  Overrides:
    `performTranslate` in class `Point`
  Parameters:
    `dx` - The amount to translate horizontally
    `dy` - The amount to translate vertically
  See Also:
    `Point.performTranslate(int, int)`

### setLocation

    public Point setLocation(Point pt)

  Description copied from class: `Point`
  Sets the location of this Point to the specified Point.

  Overrides:
    `setLocation` in class `Point`
  Parameters:
    `pt` - the Location
  Returns:
    `this` for convenience
  See Also:
    `Point.setLocation(Point)`

### updateInts

    public final void updateInts()

  Updates the integer fields using the precise versions.

### preciseX

    public double preciseX()

  Description copied from class: `Point`
  Returns `double` x coordinate

  Overrides:
    `preciseX` in class `Point`
  Returns:
    `double` x coordinate
  See Also:
    `Point.preciseX()`

### preciseY

    public double preciseY()

  Description copied from class: `Point`
  Returns `double` y coordinate

  Overrides:
    `preciseY` in class `Point`
  Returns:
    `double` y coordinate
  See Also:
    `Point.preciseY()`

### equals

    public boolean equals(Object o)

  Description copied from class: `Point`
  Test for equality.

  Overrides:
    `equals` in class `Point`
  Parameters:
    `o` - Object being tested for equality
  Returns:
    true if both x and y values are equal
  See Also:
    `Point.equals(java.lang.Object)`

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.